Skip to content

Commit

Permalink
Preparing to drop magnets
Browse files Browse the repository at this point in the history
  • Loading branch information
bullwinkle3000 committed Apr 9, 2023
1 parent c860a1b commit 371fb28
Show file tree
Hide file tree
Showing 6 changed files with 38 additions and 33 deletions.
4 changes: 2 additions & 2 deletions src/dactyl_manuform.py
Original file line number Diff line number Diff line change
Expand Up @@ -1519,11 +1519,11 @@ def oled_sliding_mount_frame(side='right'):

shape = box(mount_ext_width, mount_ext_height, oled_mount_depth)

conn_hole_start = -mount_ext_height / 2.0 + oled_mount_rim
conn_hole_start = (-mount_ext_height / 2.0 + oled_mount_rim) - 2
conn_hole_length = (
oled_edge_overlap_end + oled_edge_overlap_connector
+ oled_edge_overlap_clearance + oled_thickness
)
) + 4
conn_hole = box(oled_mount_width, conn_hole_length + .01, oled_mount_depth)
conn_hole = translate(conn_hole, (
0,
Expand Down
33 changes: 33 additions & 0 deletions src/helpers_cadquery.py
Original file line number Diff line number Diff line change
Expand Up @@ -284,3 +284,36 @@ def blockerize(shape):
tmp = s

return intersect(shape, tmp)

# generate a cutter to exact size/shape of an M3 4mm x 4mm brass insert
# size is scaled a bit for non-resin prints, so heat-set works
def insert_cutter(radii=(2.3, 1.95), heights=(2.8, 1.5), scale_by=1):
if len(radii) != len(heights):
raise Exception("radii and heights collections must have equal length")

top_radius = 4.7 / 2
top_height = 2.8
medium_radius = 4.0 / 2
medium_height = 1.5
# medium2_radius = 5.1 / 2
# medium2_height = 0.8
# bottom_radius = 4.85 / 2
# bottom_height = 1.6

total_height = sum(heights) + 0.2 # add 0.1 for a titch extra

half_height = total_height / 2
offset = half_height
cyl = None
for i in range(len(radii)):
radius = radii[i] * scale_by
height = heights[i]
offset -= height / 2
new_cyl = cq.Workplane('XY').cylinder(height, radius).translate((0, 0, offset))
if cyl is None:
cyl = new_cyl
else:
cyl = cyl.union(new_cyl)
offset -= height / 2

return cyl
2 changes: 1 addition & 1 deletion src/json/material/fdm.json
Original file line number Diff line number Diff line change
Expand Up @@ -4,7 +4,7 @@
"screw_cbore_diameter": 6,
"screw_insert_height": 4.5,
"screw_hole_diameter": 3.6,
"screw_cbore_depth": 5.5,
"screw_cbore_depth": 5,
"base_thickness": 2.5,
"base_offset": 3
}
28 changes: 0 additions & 28 deletions src/json/mounts/oled/nicenano_sliding.json

This file was deleted.

2 changes: 1 addition & 1 deletion src/json/options/magnets.json
Original file line number Diff line number Diff line change
@@ -1,6 +1,6 @@
{
"magnet_bottom": true,
"screw_insert_height": 4.0,
"screw_insert_height": 2.7,
"screw_insert_bottom_radius": 3.2,
"screw_insert_top_radius": 3.2,
"screw_hole_diameter": 6.4,
Expand Down
2 changes: 1 addition & 1 deletion src/json/options/polydactyl.json
Original file line number Diff line number Diff line change
Expand Up @@ -7,7 +7,7 @@
"last_1_5U_row": 4,
"default_1U_cluster": false,
"full_last_rows": true,
"oled_mount_type": "CLIP",
"oled_mount_type": "SLIDING",
"oled_left_wall_lower_y_offset": 12,
"extra_height": 0.7,
"wall_z_offset": 8,
Expand Down

0 comments on commit 371fb28

Please sign in to comment.